Index: uspace/srv/fs/exfat/exfat_fat.c
===================================================================
--- uspace/srv/fs/exfat/exfat_fat.c	(revision cde999aca79219e8751af76502001a86d411d176)
+++ uspace/srv/fs/exfat/exfat_fat.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -73,5 +73,5 @@
  * @return		EOK on success or an error code.
  */
-int
+errno_t
 exfat_cluster_walk(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t firstc, exfat_cluster_t *lastc, uint32_t *numc,
@@ -80,5 +80,5 @@
 	uint32_t clusters = 0;
 	exfat_cluster_t clst = firstc;
-	int rc;
+	errno_t rc;
 
 	if (firstc < EXFAT_CLST_FIRST) {
@@ -122,5 +122,5 @@
  * @return		EOK on success or an error code.
  */
-int
+errno_t
 exfat_block_get(block_t **block, exfat_bs_t *bs, exfat_node_t *nodep,
     aoff64_t bn, int flags)
@@ -129,5 +129,5 @@
 	exfat_cluster_t currc = 0;
 	aoff64_t relbn = bn;
-	int rc;
+	errno_t rc;
 
 	if (!nodep->size)
@@ -186,5 +186,5 @@
  * @return		EOK on success or an error code.
  */
-int
+errno_t
 exfat_block_get_by_clst(block_t **block, exfat_bs_t *bs, 
     service_id_t service_id, bool fragmented, exfat_cluster_t fcl,
@@ -194,5 +194,5 @@
 	uint32_t max_clusters;
 	exfat_cluster_t c = EXFAT_CLST_FIRST;
-	int rc;
+	errno_t rc;
 
 	if (fcl < EXFAT_CLST_FIRST || fcl > DATA_CNT(bs) + 2)
@@ -229,5 +229,5 @@
  * @return		EOK or an error code.
  */
-int
+errno_t
 exfat_get_cluster(exfat_bs_t *bs, service_id_t service_id,
     exfat_cluster_t clst, exfat_cluster_t *value)
@@ -235,5 +235,5 @@
 	block_t *b;
 	aoff64_t offset;
-	int rc;
+	errno_t rc;
 
 	offset = clst * sizeof(exfat_cluster_t);
@@ -259,5 +259,5 @@
  * @return		EOK on success or an error code.
  */
-int
+errno_t
 exfat_set_cluster(exfat_bs_t *bs, service_id_t service_id,
     exfat_cluster_t clst, exfat_cluster_t value)
@@ -265,5 +265,5 @@
 	block_t *b;
 	aoff64_t offset;
-	int rc;
+	errno_t rc;
 
 	offset = clst * sizeof(exfat_cluster_t);
@@ -297,5 +297,5 @@
  * @return		EOK on success, an error code otherwise.
  */
-int
+errno_t
 exfat_alloc_clusters(exfat_bs_t *bs, service_id_t service_id, unsigned nclsts,
     exfat_cluster_t *mcl, exfat_cluster_t *lcl)
@@ -304,5 +304,5 @@
 	unsigned found = 0;     /* top of the free cluster number stack */
 	exfat_cluster_t clst;
-	int rc = EOK;
+	errno_t rc = EOK;
 
 	lifo = (exfat_cluster_t *) malloc(nclsts * sizeof(exfat_cluster_t));
@@ -363,9 +363,9 @@
  * @return		EOK on success or an error code.
  */
-int
+errno_t
 exfat_free_clusters(exfat_bs_t *bs, service_id_t service_id, exfat_cluster_t firstc)
 {
 	exfat_cluster_t nextc;
-	int rc;
+	errno_t rc;
 
 	/* Mark all clusters in the chain as free */
@@ -396,5 +396,5 @@
  * @return		EOK on success or an error code.
  */
-int
+errno_t
 exfat_append_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t mcl,
     exfat_cluster_t lcl)
@@ -402,5 +402,5 @@
 	service_id_t service_id = nodep->idx->service_id;
 	exfat_cluster_t lastc = 0;
-	int rc;
+	errno_t rc;
 
 	if (nodep->firstc == 0) {
@@ -440,7 +440,7 @@
  * @return		EOK on success or an error code.
  */
-int exfat_chop_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t lcl)
-{
-	int rc;
+errno_t exfat_chop_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t lcl)
+{
+	errno_t rc;
 	service_id_t service_id = nodep->idx->service_id;
 
@@ -486,10 +486,10 @@
 }
 
-int
+errno_t
 exfat_zero_cluster(exfat_bs_t *bs, service_id_t service_id, exfat_cluster_t c)
 {
 	size_t i;
 	block_t *b;
-	int rc;
+	errno_t rc;
 
 	for (i = 0; i < SPC(bs); i++) {
@@ -508,10 +508,10 @@
 }
 
-int
+errno_t
 exfat_read_uctable(exfat_bs_t *bs, exfat_node_t *nodep, uint8_t *uctable)
 {
 	size_t i, blocks, count;
 	block_t *b;
-	int rc;
+	errno_t rc;
 	blocks = ROUND_UP(nodep->size, BPS(bs))/BPS(bs);
 	count = BPS(bs);
@@ -540,5 +540,5 @@
  * does not contain a exfat file system.
  */
-int exfat_sanity_check(exfat_bs_t *bs)
+errno_t exfat_sanity_check(exfat_bs_t *bs)
 {
 	if (str_cmp((char const *)bs->oem_name, "EXFAT   "))
